Draft Fillet
Jump to navigation
Jump to search
Draft
User documentation
|
Menu location |
---|
Drafting → Fillet |
Workbenches |
Draft, Arch |
Default shortcut |
F I |
Introduced in version |
0.19 |
See also |
Draft Line, Draft Wire |
Description
The Draft Fillet command creates a fillet, a rounded corner, or a chamfer, a straight edge, between two Draft Lines.
Several fillets and chamfers created between two lines
Usage
- Select two Draft Lines that meet in a single point.
- There are several ways to invoke the command:
- Press the
Draft Fillet button.
- Select the Drafting →
Fillet option from the menu.
- Use the keyboard shortcut: F then I.
- Press the
- Enter the Fillet radius. If the Create chamfer option is selected this will be the size of the chamfer (the length of the straight edge). Note that the command will not succeed if the radius or the chamfer size is too large for the selected lines.
- Optionally check the Delete original objects option.
- Optionally check the Create chamfer option.
- If you have selected one of the two previous options: Click in the Fillet radius input box.
- Press Enter.
Options
- Press Esc or the Close button to abort the command.
Notes
- A Draft Fillet cannot be edited nor is it linked to the lines that were used to create it.
- Only Draft Lines, that is Draft Wires with only two points, are supported at the moment.
- A Draft Wire that has at least three points can be filleted or chamfered by changing its DataFillet Radius or DataChamfer Size respectively. Since Draft Lines and Draft Wires, can be joined with the Draft Wire command, the Draft Join command or the Draft Upgrade command, this provides an alternative method for creating fillets and chamfers.
Properties
See also: Property editor.
A Draft Fillet object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- DataEnd (
VectorDistance
): (read-only) specifies the end point of the fillet. - DataFillet Radius (
Length
): (read-only) radius with which the fillet was created. - DataLength (
Length
): (read-only) specifies the total length of the fillet. - DataStart (
VectorDistance
): (read-only) specifies the start point of the fillet.
View
Draft
- ViewArrow Size (
Length
): specifies the size of the symbol displayed at the end of the fillet. - ViewArrow Type (
Enumeration
): specifies the type of symbol displayed at the end of the fillet, which can beDot
,Circle
,Arrow
,Tick
orTick-2
. - ViewEnd Arrow (
Bool
): specifies whether to show a symbol at the end of the fillet, so it can be used as an annotation line. - ViewPattern (
Enumeration
): not used. - ViewPattern Size (
Float
): not used.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Fillet use the make_fillet
method of the Draft module:
fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
- Creates a
Fillet
object between linesline1
andline2
, usingradius
for the curvature. - If
chamfer
isTrue
it will create a straight edge with the length ofradius
, instead of a rounded edge. - If
delete
isTrue
it will delete the givenline1
andline2
, and leave only the new object.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)
doc.recompute()
fillet = Draft.make_fillet([line1, line2], radius=500)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub